namespace CMSMicroservice.Application.InventoryItemCQ.Commands.ReserveInventory;

public class ReserveInventoryCommandValidator : AbstractValidator<ReserveInventoryCommand>
{
    public ReserveInventoryCommandValidator()
    {
        RuleFor(x => x.Id)
            .GreaterThan(0).WithMessage("شناسه آیتم موجودی معتبر نیست");

        RuleFor(x => x.Quantity)
            .GreaterThan(0).WithMessage("تعداد رزرو باید بیشتر از صفر باشد");
    }
}
